package Klausur;

import java.util.*;

public class MyGraph<T> {
	
	Map<T,List<T>> map;
	
	
	public MyGraph() {
		
		this.map = new HashMap<>();
	}
	
	public void addKnoten(T wert) {
		map.put(wert, new LinkedList<>());
	}
	
	public void addKanten(T quelle, T ziel, int gewicht) {
		
		if (!map.containsKey(quelle))
			addKnoten(quelle);
		
		if (!map.containsKey(ziel))
			addKnoten(ziel);
		
		map.get(quelle).add(ziel);
	}
	
	
}
